AIMP Forum

AIMP для Android => Предложения => Topic started by: s75 on February 12, 2020, 16:40:21

Title: Поддержка smb v1 возможна ли ?
Post by: s75 on February 12, 2020, 16:40:21
Приветствую форумчан и разработчиков. Столкнулся с одним неприятным моментом, а именно при попытке подключиться к smb хранилищу на своем роутере меня не пускает с ошибкой о неподеоживаемой версии сервера. К компьютеру на windows 7 с расшареной папкой подключается без вопросов, но там как я понял Сервет как раз версии 2 уже. По этому вопрос и пожелание, можно ли добавить smb v1 для поддержки старых хранилищ ? Я знаю что smb1 уже не актуально из за секьюрности но ещё достаточно много роутеров и прочих хранилищ работают как раз под первой версией и их поддержка плеером была бы очень кстати. 
Title: Re: Поддержка smb v1 возможна ли ?
Post by: Artem on February 12, 2020, 19:05:06
Вы уверены, что там именно v1, а не v3?
Title: Re: Поддержка smb v1 возможна ли ?
Post by: s75 on February 13, 2020, 02:54:31
Вы уверены, что там именно v1, а не v3?
Да, точно уверен, для верности несколько разных устройств проверил где тоже v1, их тоже не хочет видеть. 

Хм, перепроверил ещё раз, на windows xp с smb1 все работает, значит причина не в версии smb, а в типе сервера, там где не работает у меня стоит linux samba, вот с ней то и не работает, а с Виндой всё норм.